/api/v1/picks/compare
POST
/api/v1/picks/compare
const url = 'https://nbaproplab.com/api/v1/picks/compare';const options = { method: 'POST', headers: { 'Idempotency-Key': 'score-day-2026-05-27-001', Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json' }, body: '{"ids":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://nbaproplab.com/api/v1/picks/compare \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: score-day-2026-05-27-001' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "ids": [ 1 ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
string
Unique key for safe retry. Duplicate requests return the original operation.
Example
score-day-2026-05-27-001Request Body required
Section titled “Request Body required ”object
ids
required
Array<integer | string>
Example generated
{ "ids": [ 1 ]}object
ids
required
Array<integer | string>
Example generated
{ "ids": [ 1 ]}object
ids
required
Array<integer | string>
Example generated
{ "ids": [ 1 ]}Responses
Section titled “ Responses ”OK
object
picks
required
Array<object>
object
id
required
integer | string format: int32
playerId
required
integer | string format: int32
gameId
required
integer | string format: int32
playerName
required
string
teamAbbreviation
required
string
opponentAbbreviation
required
string
stat
required
string
line
required
number | string format: double
direction
required
string
scoreFinal
required
number | string format: double
rating
required
string
ratingEmoji
required
string
summary
required
string
createdAt
required
string format: date-time
finalSpider
required
object
name
string
axes
Array<object>
object
label
string
value
number | string format: double
max
number | string format: double
blocks
required
Array<object>
object
blockName
required
string
score
required
number | string format: double
confidence
required
number | string format: double
spider
required
object
name
string
axes
Array<object>
object
label
string
value
number | string format: double
max
number | string format: double
explanation
required
string
subScores
required
object
key
additional properties
number | string format: double
subScoreDetails
null | object
period
null | string
notFound
required
Array<integer | string>
object
picks
required
Array<object>
object
id
required
integer | string format: int32
playerId
required
integer | string format: int32
gameId
required
integer | string format: int32
playerName
required
string
teamAbbreviation
required
string
opponentAbbreviation
required
string
stat
required
string
line
required
number | string format: double
direction
required
string
scoreFinal
required
number | string format: double
rating
required
string
ratingEmoji
required
string
summary
required
string
createdAt
required
string format: date-time
finalSpider
required
object
name
string
axes
Array<object>
object
label
string
value
number | string format: double
max
number | string format: double
blocks
required
Array<object>
object
blockName
required
string
score
required
number | string format: double
confidence
required
number | string format: double
spider
required
object
name
string
axes
Array<object>
object
label
string
value
number | string format: double
max
number | string format: double
explanation
required
string
subScores
required
object
key
additional properties
number | string format: double
subScoreDetails
null | object
period
null | string
notFound
required
Array<integer | string>
Example generated
{ "picks": [ { "id": 1, "playerId": 1, "gameId": 1, "playerName": "example", "teamAbbreviation": "example", "opponentAbbreviation": "example", "stat": "example", "line": 1, "direction": "example", "scoreFinal": 1, "rating": "example", "ratingEmoji": "example", "summary": "example", "createdAt": "2026-04-15T12:00:00Z", "finalSpider": { "name": "example", "axes": [ { "label": "example", "value": 1, "max": 1 } ] }, "blocks": [ { "blockName": "example", "score": 1, "confidence": 1, "spider": { "name": "example", "axes": [ { "label": "example", "value": 1, "max": 1 } ] }, "explanation": "example", "subScores": { "additionalProperty": 1 }, "subScoreDetails": "example" } ], "period": "example" } ], "notFound": [ 1 ]}object
picks
required
Array<object>
object
id
required
integer | string format: int32
playerId
required
integer | string format: int32
gameId
required
integer | string format: int32
playerName
required
string
teamAbbreviation
required
string
opponentAbbreviation
required
string
stat
required
string
line
required
number | string format: double
direction
required
string
scoreFinal
required
number | string format: double
rating
required
string
ratingEmoji
required
string
summary
required
string
createdAt
required
string format: date-time
finalSpider
required
object
name
string
axes
Array<object>
object
label
string
value
number | string format: double
max
number | string format: double
blocks
required
Array<object>
object
blockName
required
string
score
required
number | string format: double
confidence
required
number | string format: double
spider
required
object
name
string
axes
Array<object>
object
label
string
value
number | string format: double
max
number | string format: double
explanation
required
string
subScores
required
object
key
additional properties
number | string format: double
subScoreDetails
null | object
period
null | string
notFound
required
Array<integer | string>
Example generated
{ "picks": [ { "id": 1, "playerId": 1, "gameId": 1, "playerName": "example", "teamAbbreviation": "example", "opponentAbbreviation": "example", "stat": "example", "line": 1, "direction": "example", "scoreFinal": 1, "rating": "example", "ratingEmoji": "example", "summary": "example", "createdAt": "2026-04-15T12:00:00Z", "finalSpider": { "name": "example", "axes": [ { "label": "example", "value": 1, "max": 1 } ] }, "blocks": [ { "blockName": "example", "score": 1, "confidence": 1, "spider": { "name": "example", "axes": [ { "label": "example", "value": 1, "max": 1 } ] }, "explanation": "example", "subScores": { "additionalProperty": 1 }, "subScoreDetails": "example" } ], "period": "example" } ], "notFound": [ 1 ]}Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}